⚠️ APIv2 is legacy
APIv2 is considered legacy and is no longer recommended for new integrations.
We strongly encourage you to use APIv4 for all new integrations and to migrate existing integrations where possible.
Please refer to our latest APIv4 documentation for up-to-date information and integration guidelines:
Click here to view the APIv4 example documentation - your own documentation is at https://[your-instance].langlion.com/api/v4/docs
Returns a list of the all students (including archived). Students are returned sorted by 'id' field in increasing order.
curl -G 'https://test.langlion.com/api/v2/students' \
--header 'Authorization: Bearer af2b3df9c671d5413fc5c38b467794782b4047705ac3...'
{
"data": {
"students": [
{
"id": 1,
"isAdult": 0,
"isActive": 1,
"createdAt": "2017-12-18 16:10:04",
"updatedAt": "2023-09-05 18:40:41",
"user": {
"id": 3,
"login": "student",
"name": "Maciej",
"firstName": "Maciej",
"lastName": "Kursant",
"fullname": "Maciej Kursant",
"systemRole": "student",
"isArchived": 1,
"photo": null,
"language": "pl_PL",
"tosAccepted": 1,
"type": 0,
"typeName": "normal",
"createdAt": "2017-12-18 16:10:04",
"updatedAt": "2023-09-05 18:40:41",
"additionalData": {
"id": 2,
"phone": "ffdfff",
"mobile": null,
"email": "ffds@fdgfds.pl",
"skype": null,
"street": "Kwiatowa 4/5 ",
"zipCode": "01-123 ",
"city": "Warszawa",
"country": null,
"post": null,
"province": null,
"pesel": null,
"nipNumber": null,
"birthDate": null,
"birthPlace": null,
"description": null,
"billingName": null,
"billingStreet": "Kwiatowa 4/5 ",
"billingCity": "Warszawa",
"billingZipCode": "01-123 ",
"billingNipNumber": null,
"billingPesel": null,
"billingEmail": null,
"createdAt": "2017-12-18 16:10:04",
"updatedAt": "2023-08-07 15:29:29"
},
"parentUser": {
"id": 4,
"login": "studentr",
"name": null,
"firstName": null,
"lastName": null,
"fullname": null,
"systemRole": "parent",
"isArchived": 1,
"photo": null,
"language": "pl_PL",
"tosAccepted": 0,
"type": null,
"typeName": null,
"createdAt": "2017-12-18 16:10:04",
"updatedAt": "2023-09-05 18:40:41",
"additionalData": {
"id": 3,
"phone": null,
"mobile": null,
"email": null,
"skype": null,
"street": null,
"zipCode": null,
"city": null,
"country": null,
"post": null,
"province": null,
"pesel": null,
"nipNumber": null,
"birthDate": null,
"birthPlace": null,
"description": null,
"billingName": null,
"billingStreet": null,
"billingCity": null,
"billingZipCode": null,
"billingNipNumber": null,
"billingPesel": null,
"billingEmail": null,
"createdAt": "2017-12-18 16:10:04",
"updatedAt": "2017-12-18 16:10:04"
},
"parentUser": null
}
}
},
{
"id": 2,
"isAdult": 1,
"isActive": 1,
"createdAt": "2017-12-18 16:16:38",
"updatedAt": "2017-12-18 16:16:38",
"user": {
"id": 5,
"login": "wisniewa",
"name": "Adam",
"firstName": "Adam",
"lastName": "Wiśniewski",
"fullname": "Adam Wiśniewski",
"systemRole": "student",
"isArchived": 0,
"photo": null,
"language": "pl_PL",
"tosAccepted": 0,
"type": 0,
"typeName": "normal",
"createdAt": "2017-12-18 16:16:38",
"updatedAt": "2020-09-21 16:18:11",
"additionalData": {
"id": 4,
"phone": null,
"mobile": null,
"email": null,
"skype": null,
"street": "Nowa 15/48",
"zipCode": "01-493",
"city": "Warszawa",
"country": null,
"post": null,
"province": null,
"pesel": null,
"nipNumber": null,
"birthDate": null,
"birthPlace": null,
"description": null,
"billingName": null,
"billingStreet": "Nowa 15/48",
"billingCity": "Warszawa",
"billingZipCode": "01-493",
"billingNipNumber": null,
"billingPesel": null,
"billingEmail": null,
"createdAt": "2017-12-18 16:16:38",
"updatedAt": "2017-12-18 16:16:38"
},
"parentUser": {
"id": 6,
"login": "wisniewaR",
"name": null,
"firstName": null,
"lastName": null,
"fullname": null,
"systemRole": "parent",
"isArchived": 0,
"photo": null,
"language": "pl_PL",
"tosAccepted": 0,
"type": null,
"typeName": null,
"createdAt": "2017-12-18 16:16:38",
"updatedAt": "2020-09-21 16:18:11",
"additionalData": {
"id": 5,
"phone": null,
"mobile": null,
"email": null,
"skype": null,
"street": null,
"zipCode": null,
"city": null,
"country": null,
"post": null,
"province": null,
"pesel": null,
"nipNumber": null,
"birthDate": null,
"birthPlace": null,
"description": null,
"billingName": null,
"billingStreet": null,
"billingCity": null,
"billingZipCode": null,
"billingNipNumber": null,
"billingPesel": null,
"billingEmail": null,
"createdAt": "2017-12-18 16:16:38",
"updatedAt": "2017-12-18 16:16:38"
},
"parentUser": null
}
}
},
[...]
Required
No required parameters.
Optional
curl --location --request POST 'https://test.langlion.com/api/v2/student' \
--header 'Authorization: Bearer f88bba34ffff68f4235d8ae0581[...]' \
--form 'firstname="John"' \
--form 'lastname="Smith"' \
--form 'email="jsmith@langlion.com"' \
--form 'schoolId="1"'
{
"data": {
"student": {
"id": 85,
"isAdult": "1",
"isActive": "1",
"createdAt": "2023-09-18 12:37:17",
"updatedAt": "2023-09-18 12:37:17",
"user": {
"id": 203,
"login": "6861760",
"name": "John",
"firstName": "John",
"lastName": "Smith",
"fullname": "John Smith",
"systemRole": "student",
"isArchived": "0",
"photo": null,
"language": "pl_PL",
"tosAccepted": null,
"type": 0,
"typeName": "normal",
"createdAt": "2023-09-18 12:37:17",
"updatedAt": "2023-09-18 12:37:17",
"additionalData": {
"id": 148,
"phone": null,
"mobile": null,
"email": "jsmith@langlion.com",
"skype": null,
"street": null,
"zipCode": null,
"city": null,
"country": null,
"post": null,
"province": null,
"pesel": null,
"nipNumber": null,
"birthDate": null,
"birthPlace": null,
"description": null,
"billingName": null,
"billingStreet": null,
"billingCity": null,
"billingZipCode": null,
"billingNipNumber": null,
"billingPesel": null,
"billingEmail": null,
"createdAt": "2023-09-18 12:37:17",
"updatedAt": "2023-09-18 12:37:17"
},
"parentUser": {
"id": 204,
"login": "8085315",
"name": null,
"firstName": null,
"lastName": null,
"fullname": null,
"systemRole": "parent",
"isArchived": "0",
"photo": null,
"language": "pl_PL",
"tosAccepted": null,
"type": 0,
"typeName": "normal",
"createdAt": "2023-09-18 12:37:17",
"updatedAt": "2023-09-18 12:37:17",
"additionalData": {
"id": null,
"phone": null,
"mobile": null,
"email": null,
"skype": null,
"street": null,
"zipCode": null,
"city": null,
"country": null,
"post": null,
"province": null,
"pesel": null,
"nipNumber": null,
"birthDate": null,
"birthPlace": null,
"description": null,
"billingName": null,
"billingStreet": null,
"billingCity": null,
"billingZipCode": null,
"billingNipNumber": null,
"billingPesel": null,
"billingEmail": null,
"createdAt": null,
"updatedAt": null
},
"parentUser": null,
"oneTimePassword": "dt7fJ3cnSb"
},
"oneTimePassword": "CEJCyZpZ5T"
}
}
}
}
In response there are returned one time passwords (OTP) for student and parent which could be provided to student and parent for login
Required
Optional
curl --location --request PATCH 'https://test.langlion.com/api/v2/student' \
--header 'Authorization: Bearer f88bba34ffff68f4235d8ae0581[...]' \
--form 'firstname="John"' \
--form 'lastname="Smith"' \
--form 'email="jsmith@langlion.com"' \
{
"data": {
"student": {
"id": 85,
"isAdult": "1",
"isActive": "1",
"createdAt": "2023-09-18 12:37:17",
"updatedAt": "2023-09-18 12:37:17",
"user": {
"id": 203,
"login": "6861760",
"name": "John",
"firstName": "John",
"lastName": "Smith",
"fullname": "John Smith",
"systemRole": "student",
"isArchived": "0",
"photo": null,
"language": "pl_PL",
"tosAccepted": null,
"type": 0,
"typeName": "normal",
"createdAt": "2023-09-18 12:37:17",
"updatedAt": "2023-09-18 12:37:17",
"additionalData": {
"id": 148,
"phone": null,
"mobile": null,
"email": "jsmith@langlion.com",
"skype": null,
"street": null,
"zipCode": null,
"city": null,
"country": null,
"post": null,
"province": null,
"pesel": null,
"nipNumber": null,
"birthDate": null,
"birthPlace": null,
"description": null,
"billingName": null,
"billingStreet": null,
"billingCity": null,
"billingZipCode": null,
"billingNipNumber": null,
"billingPesel": null,
"billingEmail": null,
"createdAt": "2023-09-18 12:37:17",
"updatedAt": "2023-09-18 12:37:17"
},
"parentUser": {
"id": 204,
"login": "8085315",
"name": null,
"firstName": null,
"lastName": null,
"fullname": null,
"systemRole": "parent",
"isArchived": "0",
"photo": null,
"language": "pl_PL",
"tosAccepted": null,
"type": 0,
"typeName": "normal",
"createdAt": "2023-09-18 12:37:17",
"updatedAt": "2023-09-18 12:37:17",
"additionalData": {
"id": null,
"phone": null,
"mobile": null,
"email": null,
"skype": null,
"street": null,
"zipCode": null,
"city": null,
"country": null,
"post": null,
"province": null,
"pesel": null,
"nipNumber": null,
"birthDate": null,
"birthPlace": null,
"description": null,
"billingName": null,
"billingStreet": null,
"billingCity": null,
"billingZipCode": null,
"billingNipNumber": null,
"billingPesel": null,
"billingEmail": null,
"createdAt": null,
"updatedAt": null
},
"parentUser": null,
"oneTimePassword": "dt7fJ3cnSb"
},
"oneTimePassword": "CEJCyZpZ5T"
}
}
}
}
In response there are returned one time passwords (OTP) for student and parent which could be provided to student and parent for login
Required
Optional